Bug 276004 - Trying to save a WPA2 password causes NetworkManager to use 95% CPU and continuously write the same message to system logs.
Summary: Trying to save a WPA2 password causes NetworkManager to use 95% CPU and conti...
Status: RESOLVED UPSTREAM
Alias: None
Product: Network Management
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 278204 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-06-18 22:16 UTC by Patrick Boutilier
Modified: 2011-07-21 18:02 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Boutilier 2011-06-18 22:16:03 UTC
Version:           0.9 (using KDE 4.6.4) 
OS:                Linux

In "Manage Connections", select the wireless a AP and click the Edit button. At this point a dialog box comes up that says "No agents were available for this request". The title of the dialog box is "Error - KDE Control Module".

Click "Ok" and the "Edit Network Connection" box does come up. Select "Wireless Security" tab and enter WPA/WPA2 Personal password. As soon as I click "Ok"
NetworkManager goes haywire by using 95% CPU and continuously writing to system log. (Note that the problem doesn't occur if the password is less than 8 characters)
 
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3
Jun 17 23:49:47 hplaptop NetworkManager[1956]:    ifcfg-rh: updating
/etc/sysconfig/network-scripts/ifcfg-WWOOD3

And so on...

At this point the only way out is to kill -9 NetworkManager. WPA2 password never gets saved but I am able to connect if I type the password in each time when the dialog box pops up asking for the password.


Reproducible: Always

Steps to Reproduce:
In "Manage Connections", select the wireless a AP and click the Edit button. At this point a dialog box comes up that says "No agents were available for this request". The title of the dialog box is "Error - KDE Control Module".

Click "Ok" and the "Edit Network Connection" box does come up. Select "Wireless Security" tab and enter WPA/WPA2 Personal password. As soon as I click "Ok"
NetworkManager goes haywire by using 95% CPU and continuously writing to system log. (Note that the problem doesn't occur if the password is less than 8 characters)

Actual Results:  
NetworkManager goes haywire by using 95% CPU and continuously writing to system log.

Expected Results:  
Connect to wireless AP and save password somewhere.

The NetworkManager problem doesn't occur if the password is less than 8 characters, however password is still not save anywhere.

NetworkManager-0.8.9997-2.git20110531.fc15.x86_64
kde-plasma-networkmanagement-0.9-0.53.20110616git.nm09.fc15.x86_64
Comment 1 Kevin Kofler 2011-06-18 22:51:28 UTC
We also have a user who got the same symptoms during migration from the old NM 0.8 settings format to the new NM 0.9 one, see:
http://lists.fedoraproject.org/pipermail/kde/2011-June/009614.html
and followups for details.

We are trying to migrate our Fedora 15 users from our custom compat-API-based kludge to your upstream nm09 code, but this looks like a blocker. I hope we can figure out what's going wrong here. It looks like the ifcfg-rh NM plugin used on Fedora is involved somehow.
Comment 2 Lamarque V. Souza 2011-06-19 00:06:23 UTC
I get this problem sometimes too, but it does not crash my computer nor make the CPU reach 100%. It does not happen with NM-0.8.999, only with 0.8.9997. I do not know why but NM sends too many "update" signals when we open the edit dialog, which by the way does not send update calls to NM when opening. I really do not know why NM is sending those signals.
Comment 3 Lamarque V. Souza 2011-06-20 20:30:11 UTC
Another thing I have noticed it is that is does not happen when using only keyfile plugin in /etc/NetworkManager/nm-system-settings.conf. If I use ifnet it happens, probably ifcfg-rh is a similar plugin. I use Gentoo and I do not have ifcfg-rh plugin here.
Comment 4 Lamarque V. Souza 2011-06-22 18:22:43 UTC
According to Rajeesh K Nambiar this is a upstream bug and also affects nm-applet. It has been fixed in NetworkManager-0.8.9997-4.git20110620.
Comment 5 Jirka Klimes 2011-06-23 13:38:47 UTC
This upstream commit for libnm-util fixes the bug:
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=864db9f9e80ab547d7dde10fc7a139b22c85c75f
Comment 6 Lamarque V. Souza 2011-07-21 18:02:52 UTC
*** Bug 278204 has been marked as a duplicate of this bug. ***